Local Document
Local document resources enable you to create and manage documents that are not replicated to other databases. You can use local documents to store configuration or other information that pertains only to the local database. The identifier for each local document must begin with the string _local/.
You need to keep track of the identifiers for any local documents that you create because you cannot retrieve a list of local documents from the database. Local documents are not returned by view requests or the GET /db/all_docs request. You can retrieve them only by sending local document requests.
The following table lists the local document resources:
| HTTP method | URI pattern | Description |
|---|---|---|
PUT
|
/{db}/{local-doc-id}
| Creates a local document |
GET
|
/{db}/{local-doc-id}
| Retrieves a local document |
DELETE
|
/{db}/{local-doc-id}
| Deletes a local document |
Articles
- PUT /{db}/{local-doc-id}
- Create a local document
- GET /{db}/{local-doc-id}
- Retrieve a local document
- DELETE /{db}/{local-doc-id}
- Delete a local document